summaryrefslogtreecommitdiff
path: root/bos-log.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bos-log.sh')
-rw-r--r--bos-log.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bos-log.sh b/bos-log.sh
new file mode 100644
index 0000000..3451970
--- /dev/null
+++ b/bos-log.sh
@@ -0,0 +1,5 @@
+function bos/log() {
+ {
+ [[ ${BOS_LOG_THRESHOLD:-1} -ge "$1" ]] && shift && >&2 echo "$*"
+ } || true
+}